<?php
// [AUTOLOAD] require_once('class.errHandler.php');
require_once('PleskException.php');

class kavmng extends errHandler {

function cmd($args)
{
	$cmdstr = 'kavmng';
	$rv = util_exec($cmdstr, $args);

	if ( $rv === false) {
		global $plesk_errormsg;

		foreach ($args AS $arg) {
			$cmdstr .= ' ';
			$cmdstr .= $arg;
		}
		throw new PleskFatalException($cmdstr . ' failed: ' . $plesk_errormsg);
		return $rv;
	}
	return sizeof($rv) > 0 ? $rv : true;
}

function applyStatus($status, $addr) {
	static $cmds = array(
		VirusFilterUserController::STATUS_NONE => array("remove"),
		VirusFilterUserController::STATUS_INCOMING => array("add", "incoming"),
		VirusFilterUserController::STATUS_OUTGOING => array("add", "outgoing"),
		VirusFilterUserController::STATUS_ANY => array("add", "both") );
	$cmd = $cmds[$status];
	$cmd[] =  $addr;
	$this->cmd($cmd);
}

static function getAllDomains($dom_id, $domname) {
	$rs = db_query("SELECT displayName FROM domainaliases WHERE dom_id = {$dom_id} AND mail='true'");
	$rv = array($domname);
	while ($rec = mysql_fetch_object($rs)) {
		$rv[] = $rec->displayName;
	}

	return $rv;
}

static function getAllMails($dom_id) {
	$rs = db_query("SELECT mail_name, virusfilter FROM mail WHERE dom_id = {$dom_id} AND virusfilter != 'none'");
	$rv = array();
	while ($rec = mysql_fetch_object($rs)) {
		$rv[] = array('name' => $rec->mail_name, 'filter' => $rec->virusfilter);
	}
	$rs = db_query("SELECT ma.alias, mn.virusfilter FROM mail_aliases ma JOIN mail mn ON (mn.id = ma.mn_id) WHERE mn.dom_id = {$dom_id} AND mn.virusfilter != 'none'");
	while ($rec = mysql_fetch_object($rs)) {
		$rv[] = array('name' => $rec->alias, 'filter' => $rec->virusfilter);
	}

	return $rv;
}

static function key_installed()
{
	return file_exists("/opt/kav/sdk8l3/bin/kav.key")
	   && of_get_key_by_product("kav-unix");
}

};


?>
